Page MenuHomePhabricator

Suspend centralauth-rename (global rename) rights until 28 November 2016
Closed, ResolvedPublic

Description

Per T148242 and T150835. Due to technical limitations, some global renamers were not aware that no global renames should be performed between today and the end of 27 November 2016 and some have been done. To prevent any more slips, please unset or remove the global rename permissions from global renamers, stewards and WMF-SuSa groups at Meta-Wiki until 28 November 2016.

Event Timeline

Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes and 4 others. · View Herald TranscriptNov 20 2016, 4:03 PM
MarcoAurelio updated the task description. (Show Details)Nov 20 2016, 4:06 PM

Change 322606 had a related patch set uploaded (by Dereckson):
Disable centralauth-rename right for maintenance

https://gerrit.wikimedia.org/r/322606

Dereckson lowered the priority of this task from Unbreak Now! to High.
Dereckson moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Per discussion on Freenode wikimedia-operations, the worst case if an issue occurs is the need to run maintenance script twice, so this could be deployed at the morning SWAT.

Change 322606 merged by jenkins-bot:
Disable centralauth-rename right for maintenance

https://gerrit.wikimedia.org/r/322606

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2016-11-21T06:11:10Z] <legoktm@tin> Synchronized wmf-config/: Disable centralauth-rename right for maintenance (T148242, T151155) (duration: 00m 52s)

Dereckson closed this task as Resolved.Nov 21 2016, 6:11 AM

(Copying here what I sent by email but that never arrived)

Thank you. Maybe when this is done we could move $wgGroupPermissions for stewards from CommonSettings to InitialiseSettings for meta? (In case that works ofc).

Hi, just a heads-up, we might want to delay re-enabling the rights a little longer beyond the 28th. The script will possibly run longer than anticipated. I'll keep you posted on the progress. Thanks.

K6ka added a subscriber: K6ka.Nov 22 2016, 4:17 PM
revi added a subscriber: revi.Nov 24 2016, 2:14 PM
JJMC89 added a subscriber: JJMC89.Nov 25 2016, 2:17 AM

@Niharika Hi. What's the progress? Regards.

Change 322667 merged by jenkins-bot:
Re-enable 'centralauth-rename' rights for when maintenance is done

https://gerrit.wikimedia.org/r/322667

Mentioned in SAL (#wikimedia-operations) [2016-12-06T15:06:31Z] <zfilipin@tin> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:322667|Re-enable centralauth-rename rights for when maintenance is done (T148242 T151155)]] (duration: 00m 43s)

Mentioned in SAL (#wikimedia-operations) [2016-12-06T15:07:25Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:322667|Re-enable centralauth-rename rights for when maintenance is done (T148242 T151155)]] (duration: 00m 43s)

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 21 2017, 1:10 PM